#
# spec file for package libwpd (Version 0.8.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa PolicyKit aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gzip hal hal-devel info insserv klogd krb5 less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc41 libgsf libgsf-devel libgsf-gnome libjpeg libltdl libmudflap41 libnscd libpng libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango patch perl permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel

Name:           libwpd
BuildRequires:  doxygen gcc-c++ libgsf-devel
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/Libraries
Autoreqprov:    on
Version:        0.8.9
Release:        1.1
Summary:        Library for Importing WordPerfect (tm) Documents
Source:         %{name}-%{version}.tar.bz2
URL:            http://libwpd.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libwpd is a general purpose library for reading or interpreting data
from WordPerfect files. The library is not a stand-alone utility: it is
designed to be used by another program (for example, a word processor)
as an in-process component.



Authors:
--------
    William Lachance <william.lachance@sympatico.ca>
    Marc Maurer <j.m.maurer@student.utwente.nl>
    Fridrich Strba <fridrich.strba@bluewin.ch>

%debug_package
%package devel
Group:          System/Libraries
Summary:        Library for importing WordPerfect (tm) documents
Requires:       %{name} = %{version} libstdc++-devel libgsf-devel glibc-devel glib2-devel

%description devel
libwpd is a general purpose library for reading (or, interpreting data
from) WordPerfect files. The library is not a stand-alone utility: it
is designed to be used by another program (e.g.: a word processor) as
an in-process component.



Authors:
--------
    William Lachance <william.lachance@sympatico.ca>
    Marc Maurer <j.m.maurer@student.utwente.nl>
    Fridrich Strba <fridrich.strba@bluewin.ch>

%package tools
Group:          Productivity/Publishing/Word
Summary:        Library for importing WordPerfect (tm) documents
Requires:       %{name} = %{version} libstdc++-devel libgsf-devel glibc-devel glib2-devel

%description tools
Tools to transform WordPerfect Documents into other formats. Currently
supported: html, raw, text



Authors:
--------
    William Lachance <william.lachance@sympatico.ca>
    Marc Maurer <j.m.maurer@student.utwente.nl>
    Fridrich Strba <fridrich.strba@bluewin.ch>

%prep
%setup -q

%build
touch AUTHORS ChangeLog NEWS ; autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -p CHANGES COPYING CREDITS HACKING README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}
chmod -x $RPM_BUILD_ROOT%{_docdir}/%{name}/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}/*.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/[A-Z]*
%{_docdir}/%{name}/libwpd.png
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/libwpd.dia
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libwpd-0.8

%files tools
%defattr (-, root, root)
%{_bindir}/*

%changelog
* Tue Mar 27 2007 - dmueller@suse.de
- update to version 0.8.9:
  * Fix a bug in WP1 document type detection where we could try to
  seek to a negative place in document (Fridrich)
  * Fix a regression wrt. 0.8.7 preventing the conversion of tab table
  in WP1 and WP3 file-format (Fridrich)
  * Fixed several overflow bugs reported by iDefense. An attacker
  could create a carefully crafted Word Perfect file that could
  cause an application linked with libwpd, such as OpenOffice, to
  crash or possibly execute arbitrary code if the file was opened
  by a victim. (CVE-2007-0002) (iDefense's Sean Larsson, Fridrich)
* Mon Feb 12 2007 - dmueller@suse.de
- update to 0.8.8 + patch for CVE-2007-0002 (#233981)
* Tue Nov 07 2006 - ro@suse.de
- fix docu permissions
* Mon Oct 09 2006 - stbinner@suse.de
- update to version 0.8.7:
  * Revert the alignment fix, in order to mimick the way WP for
  Mac renders the documents
  * Support for WP Mac 1.x documents
  * Fix memory leak in standalone converters
  * Miscellaneous code cleanups
* Mon Jul 17 2006 - stbinner@suse.de
- update to version 0.8.6:
  * Initial support of WP Mac 2.x documents
  * Initial conversion of headers/footers in WP42 parser
  * General improvement of libwpd's conversion-success-rate and
  extensive QA with more than 46'000 real life documents
* Thu Jun 01 2006 - stbinner@suse.de
- update to version 0.8.5
  * adds header and footer conversion in WP5.x and WP3.x for
  Macintosh file formats.
  * adds support for footnotes and endnotes in WP5.x file format
  * improves the conversion of page margins and corrects issues
  with conversion of the position of tables and tabstops in
  multicolumn sections
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 - stbinner@suse.de
- update to version 0.8.4
* Wed Oct 19 2005 - sbrabec@suse.cz
- Package documentation.
- Split to subpackages.
* Sat Oct 08 2005 - coolo@suse.de
- make it build with gcc 4.1 (sent upstream)
* Tue Oct 04 2005 - stbinner@suse.de
- initial package of version 0.8.3
